package com.mvc.entity;

import java.util.Date;

public class TCheck {
    private Integer id;

    private String checkId;

    private String checkName;

    private Date startTime;

    private Date endTime;

    private Integer checkDays;

    private Integer checkIntverl;

    private Integer checkDeviceNum;

    private String createMan;

    private Date createTime;

    private String chkrptId;

    private String earlyFlag;

    private String earlyMan;

    private Date earlyTime;

    private String earlyBecause;

    private String taskBatchId;

    private String platName;

    private String mcuVersion;

    private String batFlag;

    private String autoBatchFlag;

    private String autoBatchAntennaType;

    private String autoBatchId;

    private Integer delaySwitchAntenna;

    private String delaySwitchAntennaType;

    private String delaySwitchBatchId;

    private String delaySwitchTaskFlag;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId == null ? null : checkId.trim();
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName == null ? null : checkName.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getCheckDays() {
        return checkDays;
    }

    public void setCheckDays(Integer checkDays) {
        this.checkDays = checkDays;
    }

    public Integer getCheckIntverl() {
        return checkIntverl;
    }

    public void setCheckIntverl(Integer checkIntverl) {
        this.checkIntverl = checkIntverl;
    }

    public Integer getCheckDeviceNum() {
        return checkDeviceNum;
    }

    public void setCheckDeviceNum(Integer checkDeviceNum) {
        this.checkDeviceNum = checkDeviceNum;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getChkrptId() {
        return chkrptId;
    }

    public void setChkrptId(String chkrptId) {
        this.chkrptId = chkrptId == null ? null : chkrptId.trim();
    }

    public String getEarlyFlag() {
        return earlyFlag;
    }

    public void setEarlyFlag(String earlyFlag) {
        this.earlyFlag = earlyFlag == null ? null : earlyFlag.trim();
    }

    public String getEarlyMan() {
        return earlyMan;
    }

    public void setEarlyMan(String earlyMan) {
        this.earlyMan = earlyMan == null ? null : earlyMan.trim();
    }

    public Date getEarlyTime() {
        return earlyTime;
    }

    public void setEarlyTime(Date earlyTime) {
        this.earlyTime = earlyTime;
    }

    public String getEarlyBecause() {
        return earlyBecause;
    }

    public void setEarlyBecause(String earlyBecause) {
        this.earlyBecause = earlyBecause == null ? null : earlyBecause.trim();
    }

    public String getTaskBatchId() {
        return taskBatchId;
    }

    public void setTaskBatchId(String taskBatchId) {
        this.taskBatchId = taskBatchId == null ? null : taskBatchId.trim();
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName == null ? null : platName.trim();
    }

    public String getMcuVersion() {
        return mcuVersion;
    }

    public void setMcuVersion(String mcuVersion) {
        this.mcuVersion = mcuVersion == null ? null : mcuVersion.trim();
    }

    public String getBatFlag() {
        return batFlag;
    }

    public void setBatFlag(String batFlag) {
        this.batFlag = batFlag == null ? null : batFlag.trim();
    }

    public String getAutoBatchFlag() {
        return autoBatchFlag;
    }

    public void setAutoBatchFlag(String autoBatchFlag) {
        this.autoBatchFlag = autoBatchFlag == null ? null : autoBatchFlag.trim();
    }

    public String getAutoBatchAntennaType() {
        return autoBatchAntennaType;
    }

    public void setAutoBatchAntennaType(String autoBatchAntennaType) {
        this.autoBatchAntennaType = autoBatchAntennaType == null ? null : autoBatchAntennaType.trim();
    }

    public String getAutoBatchId() {
        return autoBatchId;
    }

    public void setAutoBatchId(String autoBatchId) {
        this.autoBatchId = autoBatchId == null ? null : autoBatchId.trim();
    }

    public Integer getDelaySwitchAntenna() {
        return delaySwitchAntenna;
    }

    public void setDelaySwitchAntenna(Integer delaySwitchAntenna) {
        this.delaySwitchAntenna = delaySwitchAntenna;
    }

    public String getDelaySwitchAntennaType() {
        return delaySwitchAntennaType;
    }

    public void setDelaySwitchAntennaType(String delaySwitchAntennaType) {
        this.delaySwitchAntennaType = delaySwitchAntennaType == null ? null : delaySwitchAntennaType.trim();
    }

    public String getDelaySwitchBatchId() {
        return delaySwitchBatchId;
    }

    public void setDelaySwitchBatchId(String delaySwitchBatchId) {
        this.delaySwitchBatchId = delaySwitchBatchId == null ? null : delaySwitchBatchId.trim();
    }

    public String getDelaySwitchTaskFlag() {
        return delaySwitchTaskFlag;
    }

    public void setDelaySwitchTaskFlag(String delaySwitchTaskFlag) {
        this.delaySwitchTaskFlag = delaySwitchTaskFlag == null ? null : delaySwitchTaskFlag.trim();
    }
}